Method: projects.locations.instances.restore

instances.restore memulihkan Instance dari BackupSource.

Permintaan HTTP

POST https://notebooks.googleapis.com/v2/{name}:restore

Parameter jalur

Parameter
name

string

Wajib. Format: projects/{projectId}/locations/{location}/instances/{instanceId}

Otorisasi memerlukan izin IAM berikut pada name resource yang ditentukan:

  • notebooks.instances.update

Isi permintaan

Isi permintaan memuat data dengan struktur berikut:

Representasi JSON
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "snapshot": {
    object (Snapshot)
  }
  // End of mutually exclusive fields.
}
Kolom
Sumber yang akan dipulihkan. Berikut adalah daftar kolom yang bersifat eksklusif satu sama lain. Maksimal satu kolom akan ditetapkan dalam respons:
snapshot

object (Snapshot)

Snapshot yang akan digunakan untuk pemulihan.

Akhir kolom yang saling eksklusif.

Isi respons

Jika berhasil, isi respons akan memuat instance Operation.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

Untuk mengetahui informasi selengkapnya, lihat Authentication Overview.

Snapshot

Snapshot merepresentasikan snapshot disk data yang digunakan untuk memulihkan Instance Workbench. Dirujuk oleh: compute/v1/projects/{projectId}/global/snapshots/{snapshotId}

Representasi JSON
{
  "snapshotId": string,
  "projectId": string
}
Kolom
snapshotId

string

Wajib. ID snapshot.

projectId

string

Wajib. Project ID snapshot.